Bug 131944 - strndup usage isn't portable
strndup usage isn't portable
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-07 04:28 EDT by Anders F Björklund
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 13:12:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm-4.3-strndup.patch (404 bytes, patch)
2004-09-07 04:29 EDT, Anders F Björklund
no flags Details | Diff

  None (edit)
Description Anders F Björklund 2004-09-07 04:28:08 EDT
Description of problem:
- Not every platform has the "strndup" function
  (suggesting using HAVE_STRNDUP or something ?)

Version-Release number of selected component (if applicable):
4.3.2-0.10

How reproducible:
Always

Steps to Reproduce:
1. Compile RPM 4.3.x on non-Linux platforms

Actual Results:  Compile failure.

Expected Results:  Compile success.
Comment 1 Anders F Björklund 2004-09-07 04:29:09 EDT
Created attachment 103530 [details]
rpm-4.3-strndup.patch
Comment 2 Jeff Johnson 2005-01-04 12:51:08 EST
Added to HEAD and rpm-4_4 branches, should be in rpm-4.4.1-0.6 when built.
Thanks for the patch.
Comment 3 Jeff Johnson 2005-01-04 13:12:45 EST
Added to HEAD and rpm-4_4 branches, should be in rpm-4.4.1-0.6 when built.
Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.